<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <link
      rel="stylesheet"
      type="text/css"
      href="https://static.keen.io/assets/keen-fonts.css"
    />
    <script
      crossorigin
      src="https://cdn.jsdelivr.net/npm/keen-analysis@3"
    ></script>
    <script
      crossorigin
      src="https://cdn.jsdelivr.net/npm/@keen.io/dataviz@latest/dist/dataviz.min.js"
    ></script>
    <style>
      #container {
        height: 300px;
      }
    </style>
  </head>
  <body>
    <div id="container"></div>
    <script type="text/javascript">
      const dataviz = new KeenDataviz({
        type: "area",
        container: "#container",
        widget: {
          subtitle: { content: "hello world" },
          legend: {
            enabled: true,
            position: "left",
            alignment: "center",
            layout: "vertical",
          },
          card: {
            enabled: true,
            border: "none",
            backgroundColor: "transparent",
            borderRadius: 0,
            hasShadow: false,
          },
          title: { content: "welcome in first chart" },
        },
        settings: {
          yScaleSettings: { type: "linear", formatLabel: null },
          curve: "linear",
          tooltipSettings: { formatValue: null },
          stackMode: "normal",
          theme: {
            gridY: { enabled: true },
            gridX: { enabled: true },
            metric: {
              icon: {
                margins: { top: 30, left: 30, bottom: 0, right: 20 },
                enabled: true,
                type: "brand",
                style: "regular",
              },
            },
          },
          caption: "Total purchase",

          groupMode: "grouped",
        },
      });
      const client = new KeenAnalysis({
        projectId: "610abf2a86f1d36014129f33",
        readKey:
          "bdfe24410bc576d2aca600c2c544c7b5e5206ad27516b6957276b5037bc4014aa8bdcaf77635959eb251bf5126e097b946bf445203875444e9d51ad3d5daab5f581e6e5376f1a5d59fd73718e044c02c34fb908e0d296e04d37f8b0445714fa7",
      });
      client
        .query({
          analysis_type: "count",
          event_collection: "purchases",
          timezone: "Etc/UTC",
          group_by: ["item"],
          limit: null,
          interval: "daily",
          timeframe: "this_14_days",
          zero_fill: null,
          filters: [],
        })
        .then((res) => dataviz.render(res));
    </script>
  </body>
</html>
